Bug 17520 - Add serialsUpdate.pl to the list of regular cron jobs
Summary: Add serialsUpdate.pl to the list of regular cron jobs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-31 13:31 UTC by Marcel de Rooy
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17520: Can we add serialsUpdate.pl to the list of regular cron jobs? (1.99 KB, patch)
2016-10-31 13:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17520: Can we add serialsUpdate.pl to the list of regular cron jobs? (2.01 KB, patch)
2016-12-14 22:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17520: add serialsUpdate.pl to the list of regular cron jobs (2.05 KB, patch)
2016-12-27 15:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17520: Do not overlap with advance_notices.pl (1.17 KB, patch)
2016-12-27 15:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-10-31 13:31:05 UTC
This cron job was introduced by bug 3020.
Was improved in several reports, like bug 9739.
Comment 1 Marcel de Rooy 2016-10-31 13:53:17 UTC
Created attachment 56997 [details] [review]
Bug 17520: Can we add serialsUpdate.pl to the list of regular cron jobs?

This patch adds the job to debian package file and the examples file
in misc.

Test plan:
Add these lines to your cron file.
Check the results. (If an issue you expect passes the grace period defined
in the subscription, its status should go from Expected to Late.)
Comment 2 Josef Moravec 2016-12-14 22:49:25 UTC
Created attachment 58194 [details] [review]
[SIGNED-OFF] Bug 17520: Can we add serialsUpdate.pl to the list of regular cron jobs?

This patch adds the job to debian package file and the examples file
in misc.

Test plan:
Add these lines to your cron file.
Check the results. (If an issue you expect passes the grace period defined
in the subscription, its status should go from Expected to Late.)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2016-12-27 15:58:22 UTC
Created attachment 58442 [details] [review]
Bug 17520: add serialsUpdate.pl to the list of regular cron jobs

This patch adds the job to debian package file and the examples file
in misc.

Test plan:
Add these lines to your cron file.
Check the results. (If an issue you expect passes the grace period defined
in the subscription, its status should go from Expected to Late.)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2016-12-27 15:58:25 UTC
Created attachment 58443 [details] [review]
Bug 17520: Do not overlap with advance_notices.pl

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Kyle M Hall 2016-12-28 13:33:48 UTC
Pushed to master for 17.05, thanks Marcel, Jonathan!
Comment 6 Katrin Fischer 2017-01-04 07:12:51 UTC
It appears to me that with this patch the job would be automatically be activated for package installations? I think this makes it more suitable for a feature release. Please let me know, if you disagree.